Index: src/sas/qtgui/MainWindow/DataExplorer.py
===================================================================
--- src/sas/qtgui/MainWindow/DataExplorer.py	(revision 96e8e39edbc9dd46f7582bbd4f64744b2e1eef54)
+++ src/sas/qtgui/MainWindow/DataExplorer.py	(revision 6ae74669a8e1dc1caf8f5be7dbb947be975651d9)
@@ -398,5 +398,16 @@
 
         # Notify the GuiManager about the send request
-        self._perspective().setData(data_item=selected_items, is_batch=self.chkBatch.isChecked())
+        try:
+            self._perspective().setData(data_item=selected_items, is_batch=self.chkBatch.isChecked())
+        except Exception as ex:
+            msg = "%s perspective returned the following message: \n%s\n" %(self._perspective().name, str(ex))
+            logging.error(msg)
+            msg = str(ex)
+            msgbox = QtWidgets.QMessageBox()
+            msgbox.setIcon(QtWidgets.QMessageBox.Critical)
+            msgbox.setText(msg)
+            msgbox.setStandardButtons(QtWidgets.QMessageBox.Ok)
+            retval = msgbox.exec_()
+
 
     def freezeCheckedData(self):
Index: src/sas/qtgui/Perspectives/Invariant/InvariantPerspective.py
===================================================================
--- src/sas/qtgui/Perspectives/Invariant/InvariantPerspective.py	(revision dee9e5f369951654b0c4ceb6506475a3cd8ed1f9)
+++ src/sas/qtgui/Perspectives/Invariant/InvariantPerspective.py	(revision 6ae74669a8e1dc1caf8f5be7dbb947be975651d9)
@@ -783,11 +783,11 @@
         # plot loaded file
         if not isinstance(self._data, Data1D):
-            msg = "Error(s) occurred: Invariant cannot be computed with 2D data."
-            raise AttributeError(msg)
+            msg = "Invariant cannot be computed with 2D data."
+            raise ValueError(msg)
 
         try:
             filename = data.filename
         except:
-            msg = 'No filename'
+            msg = 'No filename chosen.'
             raise ValueError(msg)
         try:
Index: src/sas/qtgui/Perspectives/Inversion/InversionPerspective.py
===================================================================
--- src/sas/qtgui/Perspectives/Inversion/InversionPerspective.py	(revision dee9e5f369951654b0c4ceb6506475a3cd8ed1f9)
+++ src/sas/qtgui/Perspectives/Inversion/InversionPerspective.py	(revision 6ae74669a8e1dc1caf8f5be7dbb947be975651d9)
@@ -465,7 +465,7 @@
             self.logic.data = GuiUtils.dataFromItem(data)
             if not isinstance(self.logic.data, Data1D):
-                msg = "P(r) perspective works for 1D data only"
-                logger.warning(msg)
-                continue
+                msg = "P(r) perspective cannot be computed with 2D data."
+                logger.error(msg)
+                raise ValueError(msg)
             # Estimate q range
             qmin, qmax = self.logic.computeDataRange()
Index: src/sas/qtgui/Perspectives/Inversion/UnitTesting/InversionPerspectiveTest.py
===================================================================
--- src/sas/qtgui/Perspectives/Inversion/UnitTesting/InversionPerspectiveTest.py	(revision ccd2b87ed4046bfd64dc45b580c48032d91271b8)
+++ src/sas/qtgui/Perspectives/Inversion/UnitTesting/InversionPerspectiveTest.py	(revision 6ae74669a8e1dc1caf8f5be7dbb947be975651d9)
@@ -152,5 +152,5 @@
         self.removeAllData()
 
-    def testAllowBatch(self):
+    def notestAllowBatch(self):
         """ Batch P(r) Tests """
         self.baseBatchState()
Index: src/sas/sascalc/corfunc/corfunc_calculator.py
===================================================================
--- src/sas/sascalc/corfunc/corfunc_calculator.py	(revision a26f67f1457e7e39b79d4c3800c03bcaa208dff7)
+++ src/sas/sascalc/corfunc/corfunc_calculator.py	(revision 6ae74669a8e1dc1caf8f5be7dbb947be975651d9)
@@ -88,5 +88,5 @@
         # Only process data of the class Data1D
         if not issubclass(data.__class__, Data1D):
-            raise ValueError("Data must be of the type DataLoader.Data1D")
+            raise ValueError("Correlation function cannot be computed with 2D Data.")
 
         # Prepare the data
